### Hierarchy

- OfferSearchRepositoryImpl

### Implements

- OfferSearchRepository

## Index

### Constructors

- constructor

### Methods

- addResultItem
- complainToSearchItem
- getSearchResult

## Constructors

### constructor

- new OfferSearchRepositoryImpl(transport: HttpTransport): OfferSearchRepositoryImpl

- - Defined in repository/search/OfferSearchRepositoryImpl.ts:13

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns OfferSearchRepositoryImpl

## Methods

### addResultItem

- addResultItem(clientId: string, offerSearch: OfferSearch): Promise<any>

- Implementation of OfferSearchRepository.addResultItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:38

  #### Parameters

  - ##### clientId: string

  - ##### offerSearch: OfferSearch

  #### Returns Promise<any>

### complainToSearchItem

- complainToSearchItem(clientId: string, searchResultId: number): Promise<any>

- Implementation of OfferSearchRepository.complainToSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:28

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<any>

### getSearchResult

- getSearchResult(clientId: string, searchRequestId: number): Promise<Array<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getSearchResult

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:19

  #### Parameters

  - ##### clientId: string

  - ##### searchRequestId: number

  #### Returns Promise<Array<OfferSearchResultItem>>

Generated using TypeDoc